NewFans API, previously OnlyFans API · A new name. A broader platform.
Fans API
OnlyFansChats

Start Typing Indicator

Calling this endpoint will show the target fan a "Model is typing..." note in the chat for ~4 seconds. Costs 1 credit. Duplicate calls for the same account and chat within that window are coalesced and free.

POST
/api/{account}/chats/{chat_id}/typing
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

chat_id*string

The ID of the chat (usually a fan's OnlyFans User ID)

Response Body

application/json

curl -X POST "https://app.fansapi.com/api/acct_XXXXXXXXXXXXXXX/chats/123/typing"
{
  "data": {
    "success": true
  }
}